### Method

# Fwupd Client modify_device

#### Declaration [src]

    gboolean
    fwupd_client_modify_device (
      FwupdClient* self,
      const gchar* device_id,
      const gchar* key,
      const gchar* value,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Modifies a device in a specific way. Not all properties on the `FwupdDevice` are settable by the client, and some may have other restrictions on `value`.

NOTE: User authentication may be required to complete this action.

Available since: | 1.0.4

#### Parameters

`device_id` | `const gchar*`
| The device ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`key` | `const gchar*`
| The key, e.g. `Flags`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| The key, e.g. `reported`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.